## org.eclipse.amp.escape.ide
Class ProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.escape.ide.ProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

Direct Known Subclasses:
  BasicProjectWizard, PluginTemplateProjectWizard

    public abstract class ProjectWizard

extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.ui.INewWizard

Creates a generic project with code generation; intended for specialization.

Author:
  milesparker, jonas.ruettimann

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ProjectWizard()`

Method Summary
`void` `addPages()`
`protected void` `createFiles()`
`protected java.util.List<java.lang.String>` `getBuilders()`
`protected java.util.List<org.eclipse.jdt.core.IClasspathEntry>` `getClasspathsEntries()`
`protected abstract java.lang.String` `getCurrentPluginID()` Only needed for generating Status.
`protected java.util.List<java.lang.String>` `getNatures()`
`protected org.eclipse.core.resources.IProject` `getProject()`
`protected java.lang.String` `getProjectTypeName()`
`protected abstract java.lang.String` `getSourceDirName()`
`void` `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)`
`boolean` `performFinish()`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### ProjectWizard

    public ProjectWizard()

Method Detail

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`

### createFiles

    protected void createFiles()
                        throws org.eclipse.core.runtime.CoreException,
                               java.io.IOException

  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.io.IOException`

### getCurrentPluginID

    protected abstract java.lang.String getCurrentPluginID()

  Only needed for generating Status.

  Returns:
    the ID of the plugin the implementing class

### getSourceDirName

    protected abstract java.lang.String getSourceDirName()

### getProject

    protected org.eclipse.core.resources.IProject getProject()

### getProjectTypeName

    protected java.lang.String getProjectTypeName()

### getNatures

    protected java.util.List<java.lang.String> getNatures()

### getClasspathsEntries

    protected java.util.List<org.eclipse.jdt.core.IClasspathEntry> getClasspathsEntries()
                                                                                 throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### getBuilders

    protected java.util.List<java.lang.String> getBuilders()